function funct_mariadbupgrade {

    echo "*************************************************"
    cecho "* Upgrading MariaDB ${MDB_VERONLY}-${MDB_BUILD} " $boldgreen
    echo "*************************************************"

echo "Where do you want the downloads stored ? Enter path to download directory (i.e. /usr/local/src) "
read downloadpath

    cd $downloadpath

    # The MariaDB mirror uses x86 and amd64 prefixes for rpm folders instead of i386/x84_64, so compensate for that...
    if [ ${ARCH} == 'x86_64' ];
    then
        MDB_ARCH='amd64'
    else
        MDB_ARCH='x86'
    fi

    if [ -s MariaDB-client-${MDB_VERSION}.el5.${ARCH}.rpm ]; then
        cecho "MariaDB-client-${MDB_VERSION}.el5.${ARCH}.rpm found, skipping download..." $boldgreen
    else
        wget -c http://mirror.aarnet.edu.au/pub/MariaDB/mariadb-${MDB_VERONLY}/kvm-rpm-centos5-${MDB_ARCH}/rpms/MariaDB-client-${MDB_VERSION}.el5.${ARCH}.rpm --tries=3
    fi

    if [ -s MariaDB-devel-${MDB_VERSION}.el5.${ARCH}.rpm ]; then
        cecho "MariaDB-devel-${MDB_VERSION}.el5.${ARCH}.rpm found, skipping download..." $boldgreen
    else
        wget -c http://mirror.aarnet.edu.au/pub/MariaDB/mariadb-${MDB_VERONLY}/kvm-rpm-centos5-${MDB_ARCH}/rpms/MariaDB-devel-${MDB_VERSION}.el5.${ARCH}.rpm --tries=3
    fi

    if [ -s MariaDB-server-${MDB_VERSION}.el5.${ARCH}.rpm ]; then
        cecho "MariaDB-server-${MDB_VERSION}.el5.${ARCH}.rpm found, skipping download..." $boldgreen
    else
        wget -c http://mirror.aarnet.edu.au/pub/MariaDB/mariadb-${MDB_VERONLY}/kvm-rpm-centos5-${MDB_ARCH}/rpms/MariaDB-server-${MDB_VERSION}.el5.${ARCH}.rpm --tries=3
    fi

    if [ -s MariaDB-shared-${MDB_VERSION}.el5.${ARCH}.rpm ]; then
        cecho "MariaDB-shared-${MDB_VERSION}.el5.${ARCH}.rpm found, skipping download..." $boldgreen
    else
        wget -c http://mirror.aarnet.edu.au/pub/MariaDB/mariadb-${MDB_VERONLY}/kvm-rpm-centos5-${MDB_ARCH}/rpms/MariaDB-shared-${MDB_VERSION}.el5.${ARCH}.rpm --tries=3
    fi

    if [ -s MariaDB-test-${MDB_VERSION}.el5.${ARCH}.rpm ]; then
        cecho "MariaDB-test-${MDB_VERSION}.el5.${ARCH}.rpm found, skipping download..." $boldgreen
    else
        wget -c http://mirror.aarnet.edu.au/pub/MariaDB/mariadb-${MDB_VERONLY}/kvm-rpm-centos5-${MDB_ARCH}/rpms/MariaDB-test-${MDB_VERSION}.el5.${ARCH}.rpm --tries=3
    fi

rpm -Uvh MariaDB-shared-${MDB_VERSION}.el5.x86_64.rpm
rpm -Uvh MariaDB-client-${MDB_VERSION}.el5.x86_64.rpm
rpm -Uvh MariaDB-devel-${MDB_VERSION}.el5.x86_64.rpm
#rpm --nodeps -ev MariaDB-server-${MDB_VERSION}.el5
rpm -e MariaDB-server-${MDB_PREVERSION}.el5
rpm -Uvh MariaDB-server-${MDB_VERSION}.el5.x86_64.rpm
rpm -Uvh MariaDB-test-${MDB_VERSION}.el5.x86_64.rpm

funct_timestamp

}
